CADDIT CAD CAM CNC Software - download AutoCAD compatible design software progeCAD Alibre T-FLEX and more
CADDIT Website Knowledge Base Search:
CL

progeCAD Help

CR
Welcome to progeCAD
Working with progeCAD
Command Reference
CAD System Variables
Programming progeCAD
Full Index (caution - 400kb)

Further Links:

Download progeCAD
Register progeCAD

Learning

T-FLEX PLM tutorial (PDF)
progeCAD IntelliCAD and AutoCAD training 
CATIA 2D 3D design tutorial
Alibre CAD/CAM basic tutorial

Resources

Educational CAD Software Solutions
Python scripting for DOS and Windows
Other free software downloads
CADDIT CAD CAM Forum Australia
__

GetBulge method example

Private Sub GetBulge_Example()

     ' This example adds a polyline to the drawing.

     ' It then uses the GetBulge method to obtain the bulge factor

     ' and the SetBulge to change it.

     Dim myDoc As progeCAD.Document

     Dim myPline As progeCAD.LWPolyline

     Dim myPoints As points

     Dim pt As Point

     Set myDoc = ActiveDocument

     Set myPoints = Library.CreatePoints

     Set pt = Library.CreatePoint(1, 1, 0)

     myPoints.Add

     myPoints(myPoints.Count).x = pt.x

     myPoints(myPoints.Count).y = pt.y

     myPoints(myPoints.Count).z = pt.z

     Set pt = Library.CreatePoint(3, 3, 0)

     myPoints.Add

     myPoints(myPoints.Count).x = pt.x

     myPoints(myPoints.Count).y = pt.y

     myPoints(myPoints.Count).z = pt.z

     Set pt = Library.CreatePoint(7, 4, 0)

     myPoints.Add

     myPoints(myPoints.Count).x = pt.x

     myPoints(myPoints.Count).y = pt.y

     myPoints(myPoints.Count).z = pt.z

     Set myPline = ThisDocument.ModelSpace.AddLightWeightPolyline(myPoints)

     myPline.Update

     ThisDocument.ActiveViewport.ZoomExtents

     ' Find the bulge of the 2nd segment

     Dim currentBulge As Double

     currentBulge = myPline.GetBulge(2)

 

     MsgBox "The bulge for the second segment is " & currentBulge, , "Get/SetBulge Example"

     

     ' Change the bulge of the 2nd segment

     myPline.SetBulge 2, 1.3

     myPline.Update

     MsgBox "The bulge for the second segment is now " & myPline.GetBulge(2), , "Get/SetBulge Example"

End Sub

CADDIT® is a registered trademark in Australia. All Rights Reserved. Comments concerning the content of this site should be addressed to our webmaster. progeCAD is a trademark of ProgeCAD srl. Autodesk® and AutoCAD® are both registered trademarks or trademarks of a third party, and used only for comparison purposes. All other trademarks, trade names or company names referenced herein are used for identification only and are the property of their respective owners. Legal and Terms of Use. Google. Find us on Google+.